Historical Demand

Get Historical Demand v2.0

GET https://yoursite.demanddriventech.com/odata/v2/historicaldemand

This endpoint allows you to get all historical demand for the current dataset. This endpoint does not currently accept parameters.

{
    "@odata.context": "https://yoursite.demanddriventech.com/odata/v2/$metadata#historicaldemand",
    "value": [
        {
            "DataSetId": 1,
            "PartId": 47785,
            "LocationId": 97,
            "PartNumber": "027163",
            "Revision": "",
            "Location": "MW",
            "PartType": "Buy",
            "OrderDate": "2019-02-01T00:00:00-08:00",
            "Quantity": 80.0
        }
    ]
}

Historical Demand Fields

Field Name

Type

DataSetId

int

PartId

int

LocationId

int

PartNumber

text

Revision

text

Location

text

PartType

PartType

OrderDate

date

Quantity

decimal

Last updated